Package com.mckoi.util

## Class GeneralFormatter

- java.lang.Object
- - com.mckoi.util.GeneralFormatter

    public class GeneralFormatter
    extends java.lang.Object

This class provides several static convenience functions for formatting various types of information such as a time frame.

Author:
  Tobias Downer

### Field Summary

Fields
`static int` `MAX_DAYS`
`static int` `MAX_HOURS`
`static int` `MAX_MILLISECONDS`
`static int` `MAX_MINUTES`
`static int` `MAX_SECONDS`
`static int` `MAX_WEEKS` These statics represent switches for the visual formatting of the time frame.

### Constructor Summary

Constructors
`GeneralFormatter()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `appendDayType​(java.lang.StringBuffer str, double total, boolean shorthand)`
`static void` `appendHourType​(java.lang.StringBuffer str, double total, boolean shorthand)`
`static void` `appendMinuteType​(java.lang.StringBuffer str, double total, boolean shorthand)`
`static void` `appendWeekType​(java.lang.StringBuffer str, double total, boolean shorthand)` Appends time frame representation information into the given StringBuffer for various types of visual time frame formats.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MAX_WEEKS

    public static final int MAX_WEEKS

These statics represent switches for the visual formatting of the time frame. It is desirable to have the time frame represented in different denominations.

See Also:
  Constant Field Values

#### MAX_DAYS

    public static final int MAX_DAYS

See Also:
  Constant Field Values

#### MAX_HOURS

    public static final int MAX_HOURS

See Also:
  Constant Field Values

#### MAX_MINUTES

    public static final int MAX_MINUTES

See Also:
  Constant Field Values

#### MAX_SECONDS

    public static final int MAX_SECONDS

See Also:
  Constant Field Values

#### MAX_MILLISECONDS

    public static final int MAX_MILLISECONDS

See Also:
  Constant Field Values

### Constructor Detail

#### GeneralFormatter

    public GeneralFormatter()

### Method Detail

#### appendWeekType

    public static void appendWeekType​(java.lang.StringBuffer str,
                                      double total,
                                      boolean shorthand)

Appends time frame representation information into the given StringBuffer for various types of visual time frame formats.

#### appendDayType

    public static void appendDayType​(java.lang.StringBuffer str,
                                     double total,
                                     boolean shorthand)

#### appendHourType

    public static void appendHourType​(java.lang.StringBuffer str,
                                      double total,
                                      boolean shorthand)

#### appendMinuteType

    public static void appendMinuteType​(java.lang.StringBuffer str,
                                        double total,
                                        boolean shorthand)